<?php
// $Id: views_handler_field_kudos_button_view.inc,v 1.1.2.1 2009/09/26 18:59:35 tjwnyc Exp $

/**
 * Field handler to present the view icon for a specific kudo
 */
class views_handler_field_kudos_button_view extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['id'] = 'id';
    $this->additional_fields['label'] = 'label';
    $this->additional_fields['icon_view'] = 'icon_view';
  }

  function render($values) {
    $response = '';

    $column = $this->field_alias;
    $img = $values->$column;

    $id = 0;
    $type = '';
    if (isset($values->uid)) {
      $id = $values->uid;
      $type = 'user';
    } else if (isset($values->nid)) {
      $id = $values->nid;
      $type = 'node';
    }

    $_image_path = variable_get('kudos_filepath','');

    $data = array();
    $data['id'] = $values->kudos_info_id;
    $data['icon']['view'] = $_image_path . $values->kudos_info_icon_view;
    $data['label'] = $values->kudos_info_label;

    $response = theme('kudos_button_view', $data);

    return $response;
  }
}
