<?php
// $Id: views_handler_field_kudos_button_active.inc,v 1.1.2.1 2009/09/26 18:59:34 tjwnyc Exp $

/**
 * Field handler to present a kudos form for a specific kudo
 */
class views_handler_field_kudos_button_active extends views_handler_field {
  function construct() {
    parent::construct();
    $this->additional_fields['id'] = 'id';
  }

  function render($values) {
    $response = '';

    $column = $this->field_alias;
    $img = $values->$column;

    $id = 0;
    $type = '';
    if (isset($values->uid)) {
      $id = $values->uid;
      $type = 'user';
    } else if (isset($values->nid)) {
      $id = $values->nid;
      $type = 'node';
    }

    $response = kudos_widget_form($type, $id, 'block', array('kudo_id' => $values->kudos_info_id));

    return $response;
  }
}
